Problemilla con sonido ALC260 en la 6.06 rc ;)

Imagen de bettored
0 puntos

Buenas a todos/as,

lo siento pero he de recurrir una vez mas a la gente que sabe para ver si me podeis echar una mano o encaminar un poco (llevo 3 dias leyendo por este y otros foros pero no ha habido manera).

Os pongo en antecedentes.
Poseo un portatil, Packard bell v7900, al cual despues de instalada la version 6.06 rc no le va el sonido.
El resto de cosas van tirando y ahi os quiero dar las gracias, nuevamente, por la infinidad de post para hacer rular la aceleracion, instalar java, wifi, etc...
Mi tarjeta de sonido es, segun windows una Realtek ALC260 HD Audio.
El caso es que dentro de Ubuntu en el Control de Volumen, me reconoce dos dispositivos.
1. HDA intel (alsa mixer)
2. Realtek ALC260 (oss mixer)

Si voy a Sistemas -> Preferencias-> Sonido, tengo unicamente HDA Intel. Y ni que decir tiene que ningun sonido suena xD.
Por si acaso, instale los codecs multimedia segun la guia (tampoco sonaba los .mp3 y al final debia instalarlos de todas formas).

Otra cosa que he cambiado es dentro de Sistema->Administracion->Sesiones (en programas de inicio) tenia la entrada "gnome-volume-manager --sm-disable". Como el disable no me daba buena espina me lo zumbe tambien sin resultado positivo.

He probado con unas indicaciones que habia en otro post que hacian referencia al "alsamixer" e ir jugando con las pocas opciones que trae...pero tampoco hubu suerte.

Al final, y mientras sigo trasteando, tengo que recurrir a los que realmente saben para que me ayuden.
Os agradeceria cualquier tipo de ayuda o comentario.

Muchas gracias y saludos para todos/as

PD. No se si andare mal encaminado, pero tengo metido en la cabeza que es algo de permisos de gnome. He estado pensando que quizas si pudiera probar con el kde podria ver si van los tiros por alli. Bueno, esto ultimo es una reflexion hecha en voz alta ;)

Imagen de bettored
+1
0
-1

nada, despues de estar todo el fin de semana encerrado en la habitacion luchando con el sonido, este sigue dando guerra.

Por ahora puede ver videos, sin sonido, por lo que los codecs entiendo estan trabajando bien.

Alguna sugerencia!!!!

saludos

+1
0
-1
Imagen de bettored
+1
0
-1

Por si es de ayuda.

Por lo que veo carga correctamente pero aun asi se niega a tirar.
Bueno, sera cuestion de echarle unas horillas mas xD

janek@janek-laptop:~$ alsaconf
bash: alsaconf: orden no encontrada
janek@janek-laptop:~$ lsmod | grep snd
snd_hda_intel 18964 1
snd_hda_codec 142640 1 snd_hda_intel
snd_pcm_oss 53664 0
snd_mixer_oss 18688 1 snd_pcm_oss
snd_pcm 89864 3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer 25220 1 snd_pcm
snd 55268 8 snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore 10208 1 snd
snd_page_alloc 10632 2 snd_hda_intel,snd_pcm

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

En la lista de modulos parece que todos estan bien cargados. Pero seria interesante copiar a un fichero la lista de un CD live de breezy de donde te suena para intentar localizar si falta algun modulo de sonido. Si no faltase ninguno en teoria seria intentar habilitar las entradas de audio seleccionando la tarjeta y las entradas en el audio mixer.

+1
0
-1
Imagen de bettored
+1
0
-1

Buenas Tasadar-f,

lo primero gracias por la respuesta.

Sobre lo que me comentas, decirte que cuando use el CD Live tampoco tenia sonido, ni con la 6.06rc ni con la 6.06 LTS final.

Ahora cuando llegue a casa probare de nuevo a reinstalar los ALSA por si acaso.

Por cierto, podrias decirme donde puedo comprobar que mi kernel, el que viene por defecto, tiene habilitado el soporte para sonido???

Gracias y un saludo

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

He encontrado un portatil de la seccion de prueba de ubuntu que puede llevar la misma tarjeta de sonido que tu. El problema puede ser mas grave y no ser culpa de Ubuntu sino un Bug de alsa que me parece que NO esta arreglado en la ultima version de alsa.
Peganos tu lspci para comprobar el modelo exacto de la tarjeta de sonido.

El kernel viene ya activado lo de sonido pero por si tienes alguna curiosidad aqui te pongo un enlace tienes que bajarte las fuentes de tu kernel de ubuntu y copiar la configuracion de tu kernel actual al nuevo y luego si quieres reconfigurarlo y empaquetarlo.
http://www.ubuntu-es.org/node/9940 (Intenta evitar todo lo de con Kolivas y los parches esos que son algo inestables)

Muy importante que pegues todo el lspci para ver si es el mismo error de otros portatiles tanto de packard bell como de otras marcas

+1
0
-1
Imagen de bettored
+1
0
-1

Buenas, te dejo aqui el lspci

janek@janek-laptop:~$ lspci
0000:00:00.0 Host bridge: Intel Corporation Mobile Memory Controller Hub (rev 03)
0000:00:01.0 PCI bridge: Intel Corporation Mobile PCI Express Graphics Port (rev 03)
0000:00:1b.0 0403: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
0000:00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 02)
0000:00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 02)
0000:00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 02)
0000:00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 02)
0000:00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
0000:00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
0000:00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
0000:00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
0000:00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 02)
0000:00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
0000:00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
0000:00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
0000:00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
0000:01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown device 71c5
0000:03:00.0 Network controller: Intel Corporation: Unknown device 4222 (rev 02)0000:06:02.0 FireWire (IEEE 1394): O2 Micro, Inc.: Unknown device 00f7 (rev 02)
0000:06:02.2 0805: O2 Micro, Inc.: Unknown device 7120 (rev 01)
0000:06:02.3 Mass storage controller: O2 Micro, Inc.: Unknown device 7130 (rev 01)
0000:06:08.0 Ethernet controller: Intel Corporation: Unknown device 1092 (rev 02)

Comentar que he añadido en /etc/modules
sna-hda-intel

Ahora, si me pongos los cascos y con el sonido al maximo, oigo algo. Pero solo con los casco. Los altavoces no son capaces ni de recoger ese registro tan bajo ;).

Muchas gracias por echar un ojo por internet y echarme una mano.

saludos

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

No es el problema que creia en un principio. He estado mirando por los listados de fallos de alsa y hay muchos relaccionados con el HDA-intel en concreto con el chip de sonido Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (REV 1 y REV 2).
He visto unos 10 casos en el ultimo mes con el mismo chip que son muchisimos con el mismo chip lo puedes mirar tu mismo en:
https://bugtrack.alsa-project.org/

Entras como invitado o te registras y das a view issues te saldran los ultimos errores y en un hueco de buscar pones hda-intel

He observado 2 casos fundamentalmente uno que al parecer es algun problema que tienen los HP en especial en solo 2 dias escribieron mas de 20 mensajes y lo arreglaron y crearon un parche para el futuro.

Otro nuevo de hoy que es con un acer y que estan intentando arreglarlo y con la prisa que se dan mañana pueden sacar un parche para arreglarlo que puede incluso servirte.

Voy al grano la solucion:

Yo si fuera tu crearia un reporte en el sistema de fallos de alsa. Con un titular con el nombre de portatil y su modelo y la version de ALSA que es la 1.0.10-4ubuntu4 .
Estoy segurisimo que te van a obligar para continuar intentando arreglar el error que te actualices a la 1.0.11 esta version he estado leyendo que incoporan muchisimas mejoras a tarjeta de sonido y parches pero no se si funcionara.

Asi que te puede salir incluso mejor intentarte instalar la nueva version de ALSA antes de decirles nada y luego ya contarles la historia de que no te funcionaba en la 1.0.10-4ubuntu4 ni en la nueva 1.0.11 te pediran datos casi siempre son los mismos como puedes observar en otros reportes la gente los presentar todos o muchisimos de ellos al crear el reporte para facilitar la tarea de los programadores sobre todo los mas genericos como el lspci para que vean el modelo.

Ya lo siento tenerte que dar una solucion tan mala pero a no ser que te hayas olvidado de subir algun control de sonido esto tiene pinta de los ultimos errores que estan presentando en ALSA. SI te instalas el alsa nuevo 1.0.11 y ves que no te funciona estoy seguro que en menos de una semana tienes el problema solucionado porque los programadores de ALSA son muy activos lo unico que hay que intentar es responder con la mayor rapidez posible.

Mira el lado positivo lo que vas a aprender instalando cosas y que en la proxima version de alsa que llevara en un futuro ubuntu u otros linux funcionaran sin ningun problema

+1
0
-1
Imagen de Anónimo
+1
0
-1

tengo tu mismo laptop,me gustaria hablar contigo sobre el y ubuntu, ami tampoco me suena en dapper final pero en Dapper RC si sonaba, bueno agregame a MSN o hablamos por IRC soy: KarlsBerg
en irc.irc-hispano.org #Ubuntu

MSN: kernel (PUNTO) no (PUNTO) found (ARROBA) gmail (PUNTO) com

+1
0
-1
Imagen de Anónimo
+1
0
-1

Hola, yo tengo el mismo portátil y sí me suena por los altavoces, aunque si le conecto una auriculares siguen sonando los altavoces, y no suenan los auriculares ¿alguna idea?

+1
0
-1
Imagen de Anónimo
+1
0
-1

A mi me pasa lo mismo que a ti. Suena por los altavoces, pero aunque conecte los auriculares sigue sonando por los altavoces. Tengo una ALC880. Alguna sugerencia?

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Para instalar ALSA no parece tan complicado hay un tutorial muy bueno en:

https://wiki.ubuntu.com/HowToConfigureSoundBlasterAudigySEinBreezy

Solo 2 observaciones no hagas caso de notas que hagan referencia a la sound blaster y ti enes que usar el alsa nuevo

http://http.us.debian.org/debian/pool/main/a/alsa-driver/alsa-source_1.0... no el que te dicen alli que esa ya no existe porque esantiguo.

Antes de hacer nada por supuesto tienes que tener lo que te pone sudo aptitude install linux-headers-$(uname -r) build-essential gcc-3.4 module-assistant

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Con esto ultimo que te he puesto solo vale para actualizar los drivers no lo demas. Tendras que buscar o preguntar en algun canal del IRC porque yo jamas he hecho esa operacion encontrar el metodo completo. Supongo que habra una forma generica que seria desinstalando los paquetes y seguir los pasos de http://www.alsa-project.org/

+1
0
-1
Imagen de bettored
+1
0
-1

Muchas gracias Tasadar por todo lo que estas haciendo.
En cuanto llegue a casa me pongo con ello y te cuento que pasa.
Al menos, como dejiste antes, aunque no funcione por lo menos voy aprendiendo cosas y tomando mas soltura en linux.

Mientras estoy en el trabajo voy a ver si puedo ir localizando todo lo que necesito y leyendo la documentacion necesaria para instalar de nuevo Alsa.

Un saludo y gracias

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

COntesta a alguno de mis comentarios que tal te va con tu tarjeta con el alsa nuevo y si has creado algun error cuando lo hagas sea ahora o dentro de meses que me interesa este tema. Se que puede resultar un autentico peñazo para una persona principiante hacer estas cosas cuando en la proxima version de Ubuntu no habra que hacerlo pero mira el lado bueno. Al conocer como van funcionando las cosas especificas como el xorg el alsa el kernel y el sistema en general. Te llegara un dia como me paso a mi que se me rompio un archivo que estropeaba muchas cosas de audio busque con un comando en que paquete se encontraba el paquete lo reinstale y arreglado. Por que a diferencia de windows aqui siempre se pueden arreglar las cosas siempre que conozcas tu propio sistema.

Si te persiste el error y se lo notificas a alsa-project este es un buen titulo ya ha sido utilizado en otras quejas: no sound on speakers, low volume on the headphones

Un saludo y suerte

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Mirando por el sistema de errores he encontrado algo que puede servirte para buscar informacion.

https://launchpad.net/distros/ubuntu/+source/linux-source-2.6.15/+bug/28443

+1
0
-1
Imagen de bettored
+1
0
-1

Al final ayer no tuve tiempo para hacer las pruebas.

No te preocupes que lo minimo que puedo hacer, una vez funcione, es compatir con todo el mundo al experiencia para ver si en alguna ocasion puede ser de ayuda.

Espero poder comenterte algo esta noche

+1
0
-1
Imagen de bettored
+1
0
-1

Bueno, he altualizado la version de ALSA pero continua igual.

Al final me he decidido por abrir una incidencia en ALSA, mientras sigo intentandolo.

Te dejo el numero de la misma 0002189

Como siempre darte las gracias por estar ahi y seguimos dandole a ver si suena la flauta.
Te tengo al corriente de los avances.

Un saludo

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

A ver que tal te va que es una incidencia que la tiene mucha gente y aparece en muchos foros tanto la alc640 cino la alc880. Una cosa que no se si lo habras hecho al instalar el nuevo Alsa supongo que tendras que desinstalar los modulos con rmmod que salen con el lsmod y volver a intalarlos con el modprobe. Para que se carguen los modulos(drivers) nuevos y no los antiguos. Ya tengo añadida a favoritos la incidencia porque es una pena que una tarjeta bastante comun y con algo de tiempo tenga esos problemas.

+1
0
-1
Imagen de Anónimo
+1
0
-1

A mi tb me ha dejado de funcionar el sonido. La cosa es que yo empecé a instalar en mi portatil un Lenovo N100 la Dapper desde la flight 7 y allí con el kernel 2.6.15-22 el sonido iba perfectamente. Sin embargo, al cambiar al kernel 2.6.15-23 que es el que trae la rc y la definitiva el sonido dejó de existir de repente.
He abierto un bug en launchpad sobre el tema, están trabajando en ello.

Prueba por si acaso a enchufar los cascos, yo con cascos escucho el sonido con un ruido de fondo metalizado muy incómodo. Eso sí, si cambio el volumen o cualquier cosa del sonido este se va para no reaparecer hasta el proximo reinicio. Cosa de fantasmas? :D

+1
0
-1
Imagen de Anónimo
+1
0
-1

tengo tu mismo laptop,me gustaria hablar contigo sobre el y ubuntu, ami tampoco me suena en dapper final pero en RC si sonaba, bueno agregame a MSN o hablamos por IRC soy: KarlsBerg
en irc.irc-hispano.org #Ubuntu

MSN: kernel (PUNTO) no (PUNTO) found (ARROBA) gmail (PUNTO) com

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Creo tener una posible solucion aunque es un cambio un poco radical.
Es instalar el kernel 2.6.17 que ya os lo he compilado y empaquetado yo y colgado en una web seguid los pasos que pongo a continuacion instalar el kernel es lo ultimo.
Y con eso se descarte cualquier metedura de pata del kernel desarrollado por ubuntu.
http://gente.juventudaranda.com/programas/kernel-image-2.6.17_386_i386.deb

Tambien es aconsejable reinstalar el alsa haciendolo compatible con hda-intel

Primer paso instalar el alsa adaptado el hda-intel con estos pasos (Cambiar el numero de version por la version mas moderna) Hazedlo otra vez aunque ya lo hayais hecho :
cd /home/dan/downloads/
sudo tar -xjvf alsa-firmware-1.0.9rc4.tar.bz2
sudo tar -xjvf alsa-driver-1.0.9rc4a.tar.bz2
sudo tar -xjvf alsa-lib-1.0.9rc4.tar.bz2
sudo tar -xjvf alsa-oss-1.0.9rc4.tar.bz2
sudo tar -xjvf alsa-utils-1.0.9rc4a.tar.bz2
sudo tar -xjvf alsa-plugins-1.0.9rc4.tar.bz2

cd alsa-driver-1.0.9rc4a
sudo ./configure --with-oss=yes --with-cards=hda-intel
sudo make
sudo make install

cd ../alsa-lib-1.0.9rc4
sudo ./configure
sudo make install

cd ../alsa-oss-1.0.9rc4
sudo ./configure
sudo make install

cd ../alsa-utils-1.0.9rc4a
sudo ./configure
sudo make install

sudo alsaconf
sudo shutdown -r now

2 Paso Instalar el kernel

http://gente.juventudaranda.com/programas/kernel-image-2.6.17_386_i386.deb

3 Reiniciar

+1
0
-1
Imagen de bettored
+1
0
-1

Buenas Tasadar,
mañana me pongo con ello y a ver si tenemos suerte.
Estos dias ando bastante liado con el trabajo y no he tenido mucho tiempo para probar mucho.
Por el momento, probe con otro kernel pero no hubo suerte.

Te cuento mañana como se dio.

Muchas gracias por el trabajo.

Un saludo

+1
0
-1
Imagen de bettored
+1
0
-1

No hubo suerte.

Buenas Tasadar, ayer realice todos los pasos que indicabas en el post, pero al final no ha habido suerte.
Volvi a reinstalar el Alsa, todo fui bien hasta la linea "sudo alsaconf" que no me dejo ejecutar por no existir "alsaconf".
Una vez terminado, puse el nuevo kernel y reinicie con el,pero no hubo suerte.

Ahora mismo, he conectado al portatil unos altavoces externos, mas pontentes, y con el sonido de los mismos al maximo, puedo escuchar algo. Es lo mismo que con los cascos, pero no es necesario tener los cascos apretados a los oidos xDDD.

Sigo dandole caña al problema y en cuanto logre algun avance te comento.

Una vez mas, y ya van muchas, gracias por el trabajo. La verdad es que da gusto ver buena gente que se preocupa por los prolblemas de otros.

UN saludo

+1
0
-1
Imagen de TASADAR-F
+1
0
-1

Pues lo de que no te deja ejecutar alsaconfig es porque has instalado mal alsa-utils.
Unos consejos para las compilaciones al hacer el ./configure hay que estar muy pensiente si suelta algun error . Cuando suelta algun error es que hay que instalar alguna dependencia con el aptitude y volver a ejecutar el ./configure hasta que salfa todo correcto. Compilar bien es una cosa un poco complicada a veces sobre todo si tienes poca experiencia requiere que el ./configure salga bien para poder hacer los demas pasos.

El alsa-utils se pudo instalarse mal el mismo o por los paquetes anteriores de alsa.

La solucion esta que encontra en los foros le funciona a muchisima gente y en tu caso deberia funcionar porque me dijo Karslberg que antes de sacar la version final de dapper si que funcionaba.

Consejos desinstalar todos los paquetes de alsa de ubuntu antes de instalar nada.
se buscan con sudo aptitude search alsa y se desinstalan con sudo aptitude purge nombrepaquete.

Despues para hacer bien el ./configure se necesita hacerlo con el gcc-4.0 para eso asegurarse el tenerlo instalado correctamente
Cualquier error que aparezca al final del ./configure no dejara seguir con la instlacion por eso hay que instalar todas las dependencias que normalmente en el aptitude al buscarlas aparecen asi nombre-dev las dev: se usan para compilar.

Suerte

+1
0
-1